Package com.google.android.exoplayer2.util

## Interface FrameProcessor.Factory

- All Known Implementing Classes:
    `GlEffectsFrameProcessor.Factory`
  Enclosing interface:
    FrameProcessor

      public static interface FrameProcessor.Factory

  A factory for `FrameProcessor` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FrameProcessor` | `create​(Context context, FrameProcessor.Listener listener, List<Effect> effects, DebugViewProvider debugViewProvider, ColorInfo colorInfo, boolean releaseFramesAutomatically)` | Creates a new `FrameProcessor` instance.

- - ### Method Detail

    - #### create

          FrameProcessor create​(Context context,
                                FrameProcessor.Listener listener,
                                List<Effect> effects,
                                DebugViewProvider debugViewProvider,
                                ColorInfo colorInfo,
                                boolean releaseFramesAutomatically)
                         throws FrameProcessingException

      Creates a new `FrameProcessor` instance.
      Parameters:
        `context` - A `Context`.
        `listener` - A `FrameProcessor.Listener`.
        `effects` - The `Effect` instances to apply to each frame.
        `debugViewProvider` - A `DebugViewProvider`.
        `colorInfo` - The `ColorInfo` for input and output frames.
        `releaseFramesAutomatically` - If `true`, the `FrameProcessor` will render output frames to the output surface automatically as `FrameProcessor` is done processing them. If `false`, the `FrameProcessor` will block until `FrameProcessor.releaseOutputFrame(long)` is called, to render or drop the frame.
      Returns:
        A new instance.
      Throws:
        `FrameProcessingException` - If a problem occurs while creating the `FrameProcessor`.